Cancel Workload
PUT
/api/v1/workloads/{workload_id}/cancel
const url = 'https://example.com/api/v1/workloads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel';const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/workloads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cancel \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”workload_id
required
Workload Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
NonPaginatedResponse[ProducedWorkloadResponse]
object
data
Any of:
ProducedWorkloadResponse
Response schema for a workload with embedded results as dict.
object
id
required
Id
string format: uuid
created_at
required
Created At
string format: date-time
workload_type
required
Workload Type
string
backend
required
Backend
string
status
required
JobStatus
string
config
required
Config
object
key
additional properties
any
errors
Any of:
Array<string>
null
project_id
required
Project Id
string format: uuid
user_id
required
User Id
string
queue_priority
required
QueuePriority
Values represent the queue a value will be written to, each priority represents the order of preference batches will be executed. Queue priority is processed in a descending order: CRITICAL, HIGH, MEDIUM, LOW, FREE
string
null
Example
{ "data": { "status": "PENDING", "queue_priority": "CRITICAL" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}